export declare class PnPlayOnScroll {
    hostElement: HTMLElement;
    videoSrc: string;
    observerOptions: IntersectionObserverInit;
    showOverlay: boolean;
    videoId: string;
    isManuallyPaused: boolean;
    isPaused: boolean;
    localObserverOptions: IntersectionObserverInit;
    testAdditionalParamIntoCallback: boolean;
    video: HTMLVideoElement;
    generateUniqueId(): string;
    componentWillLoad(): void;
    componentDidLoad(): void;
    handlePlayPauseClicked: () => void;
    togglePaused: (paused: boolean) => void;
    render(): any;
}
